diff options
author | Jim Meyering <jim@meyering.net> | 2003-03-07 12:59:30 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2003-03-07 12:59:30 +0000 |
commit | 3d3879d1182e771fda8d320942d541915079035c (patch) | |
tree | 6e0eb4944e876abd6c0e254e71345c37147e08a6 /tests/du/basic | |
parent | 390a0fb48d86416d865618f63433a60e08e0b5ea (diff) | |
download | coreutils-3d3879d1182e771fda8d320942d541915079035c.tar.xz |
Test the -S option using a hierarchy containing files, too,
not just directories.
Diffstat (limited to 'tests/du/basic')
-rwxr-xr-x | tests/du/basic | 24 |
1 files changed, 22 insertions, 2 deletions
diff --git a/tests/du/basic b/tests/du/basic index 13aebde7c..52a1add44 100755 --- a/tests/du/basic +++ b/tests/du/basic @@ -17,24 +17,33 @@ trap '(exit $?); exit $?' 1 2 13 15 framework_failure=0 mkdir -p $tmp || framework_failure=1 cd $tmp || framework_failure=1 -mkdir -p a/b || framework_failure=1 +mkdir -p a/b d d/sub || framework_failure=1 printf 'make-sure-the-file-is-non-empty\n' > a/b/c || framework_failure=1 +echo nonempty-file > d/1 +echo nonempty-file > d/sub/1 if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 (exit 1); exit 1 fi +# Ensure that blocksize and block-count are what we expect for directories. if test "`stat --format=%bx%B a`" != 8x512; then echo "$0: different block count/size, so skipping this test" 1>&2 (exit 77); exit 77 fi +# Ensure that blocksize and block-count are what we expect for files. +if test "`stat --format=%bx%B d/1`" != 8x512; then + echo "$0: different block count/size, so skipping this test" 1>&2 + (exit 77); exit 77 +fi + fail=0 du -a a > out || fail=1 echo === >> out -du -aS a >> out || fail=1 +du -a -S a >> out || fail=1 echo === >> out du -s a >> out || fail=1 cat <<\EOF > exp @@ -52,4 +61,15 @@ EOF cmp out exp || fail=1 test $fail = 1 && diff out exp 2> /dev/null +rm -f out exp +du -S d > out || fail=1 + +cat <<\EOF > exp +8 d/sub +8 d +EOF + +cmp out exp || fail=1 +test $fail = 1 && diff out exp 2> /dev/null + (exit $fail); exit $fail |